> For the complete documentation index, see [llms.txt](https://docs.monogoto.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.monogoto.io/developer/api/things-groups/how-to-view-thing-group-list.md).

# Get Things Group List

## Get Thing Group List

<mark style="color:blue;">`GET`</mark> `https://console.monogoto.io/thingsgroup/listWithMeasures`

#### Headers

| Name                                          | Type   | Description               |
| --------------------------------------------- | ------ | ------------------------- |
| YOUR\_TOKEN<mark style="color:red;">\*</mark> | String | Your authentication token |
| CUSTOMER\_ID                                  | String | Customer API key          |

{% tabs %}
{% tab title="200: OK OK" %}

```javascript
{
    // Response
}
```

{% endtab %}
{% endtabs %}

### Example using **cURL**:

```bash
curl -X GET \
    --url "https://console.monogoto.io/thingsgroup/listWithMeasures" \
    -H "accept: application/json" \
    -H "Authorization: Bearer {YOUR_TOKEN}" \
    -H "apikey: {CUSTOMER_ID}" 
```

{% hint style="info" %}
Add your **Token** and **Customer ID** in the GET request to successfully obtain the Things Group data.
{% endhint %}

Example of request:

```bash
curl -X GET \
    --url "https://console.monogoto.io/thingsgroup/listWithMeasures" \
    -H "accept: application/json" \
    -H "Authorization: Bearer eyJhb6IkpXVCJ9.eyJSb2xlIjoiVXN4lclByb2ZpbGVJZF9kZGM2MThhNC0wNTI1LTQ2MmUtYWN3NzhhMGQxYmbSI6Im4zgFkbWluIiwiQ3VzdG9tsbCwiVXNlcklkIjoiVklkXzg5Yj5Y2OGEyUtNDQThhLTEzZjA0MzJhZDE3YyINTAzgZmUtZGI51My00ZjRiLTktN2U5Yjc0ZWU1ZThlIiwiaWNzM3MjI5L2MDY3NTE2Mjl9.99aSLzP7kTgK6TZGW-xalrMu0GkW6viunt3XxbNng" \
    -H "apikey: cid_ecs1d3a5-f5e62a1-fe8af468wf"
```

Expected result:

```json
[
  {
    "Active": 10,
    "Alarm": 9,
    "CustomerId": "cid_ecs1d3a5-f5e62a1-fe8af468wf",
    "Data": 97803309,
    "DateModified": 1612791354953,
    "Networks": [
      {
        "NetworkId": "NetworkId_734666bd-9779-4995-9aa4-c7efd5081689",
        "NetworkName": "default network for APN: data.mono"
      },
      {
        "NetworkId": "NetworkId_b0cc888b-8350-4e58-b450-aa16d71a943e",
        "NetworkName": "default network for APN: uinternet"
      }
    ],
    "RoamingPolicies": [],
    "SMS": 4,
    "TelephonyProfileId": "TelephonyProfile_ad766b40-9577-4d91-4679-01664c6834d9",
    "TelephonyProfileName": "Default telephony profile",
    "ThingsGroupDescription": "This Group has Project A SIM cards",
    "ThingsGroupId": "ThingsGroupId_eej3421b0-bee1-4997-93aa-ce443ca43h347a",
    "ThingsGroupName": "Project A phones",
    "Voice": 0,
    "total": 1
  },

...
```

{% openapi src="/files/lqgrtNg1pOcbxIdacwgh" path="/thingsgroup/listWithMeasures" method="get" %}
[JPU\_CustomerAPIV\_Without\_Test it.yaml](https://3922449203-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-M0mPxGpottOEfcucXOR%2Fuploads%2FXtNpEMk17YOUrC39Cmvr%2FJPU_CustomerAPIV_Without_Test%20it.yaml?alt=media\&token=09b74b38-dd09-4edc-8f98-4df792b3c986)
{% endopenapi %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.monogoto.io/developer/api/things-groups/how-to-view-thing-group-list.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
